DH_INSTALLWM(1)

NOME
dh_installwm - regista um gestor de janelas

RESUMO
dh_installwm [debhelper opções] [-n] [--priority=n] [wm ...]

DESCRIÇÃO
dh_installwm é um programa debhelper que é responsável por gerar os comandos postinst e prerm que registam um gestor de janelas com update-alternatives(8). O manual do gestor de janelas é também registado como um link simbólico escravo (em modo v6 e posterior). Tem de ser instalado em usr/share/man/man1/ no directório de compilação do pacote antes da chamada dh_installwm. Em compatibilidade 9 e anterior, a página de manual era opcional.

FICHEIROS

debian/pacote.wm
    Lista programas de gestão de janelas para registar.

    Suporta variáveis de substituição em compatibilidade 13 e posterior como documentado em debhelper(7).

OPÇÕES

--priority=n
    Define a prioridade do gestor de janelas. A predefinição é 20, o que é muito baixo para a maioria dos gestores de janelas; veja o documento Debian Policy para instruções sobre como calcular o valor correcto.

-n, --no-scripts
    Não modifique os scripts postinst/prerm. Transforma este comando em não-operacional (no-op).

-A, --all
    Modifica scripts para gestores de janelas especificados por parâmetros de linha de comandos em TODOS os pacotes em que actua, e não apenas no primeiro.

wm ...
    Programas de gestão de janelas para registar.

NOTAS
Note que este comando não é idempotente. O dh_prep(1) deve ser chamado entre invocações deste comando. Caso contrário, pode causar múltiplas instâncias do mesmo texto a ser adicionado aos scripts do maintainer.

VEJA TAMBÉM
debhelper(7)

Este programa é parte do debhelper.

AUTOR
Joey Hess <joeyh@debian.org>

TRADUÇÃO
Américo Monteiro

Se encontrar algum erro na tradução deste documento, por favor comunique para Américo Monteiro a_monteiro@gmx.com ou Equipa Debian de Tradução Portuguesa traduz@debianpt.org.